Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Cards

  • List cards

  • Create card

  • Retrieve card

  • Disable card

  • Webhooks

  • card.automatically_updated

  • card.created

  • card.disabled

  • card.forgotten

  • card.updated

<- Cards API

Cards API

All versions ->

Disable card

POST

 /v2/cards/{card_id}/disable

Disables the card, preventing any further updates or charges.

Disabling an already disabled card is allowed but has no effect.

Permissions:PAYMENTS_WRITE
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

card_id

string

Required

Unique ID for the desired Card.

Link to section

Request body

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

card

The retrieved card.

Link to section

Examples

All versions ->

POST /v2/cards/{card_id}/disable
curl https://connect.squareup.com/v2/cards/ccof%3AuIbfJXhXETSP197M3GB/disable \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'

Response JSON

{ "card": { "id": "ccof:uIbfJXhXETSP197M3GB", "billing_address": { "address_line_1": "500 Electric Ave", "address_line_2": "Suite 600", "locality": "New York", "administrative_district_level_1": "NY", "postal_code": "10003", "country": "US" }, "fingerprint": "ex-p-cs80EK9Flz7LsCMv-szbptQ_ssAGrhemzSTsPFgt9nzyE6t7okiLIQc-qw_quqKX4Q", "bin": "411111", "card_brand": "VISA", "card_type": "CREDIT", "cardholder_name": "Amelia Earhart", "customer_id": "VDKXEEKPJN48QDG3BGGFAK05P8", "enabled": false, "exp_month": 11, "exp_year": 2022, "last_4": "1111", "merchant_id": "6SSW7HV8K2ST5", "prepaid_type": "NOT_PREPAID", "reference_id": "user-id-1", "hsa_fsa": false, "version": 2 } }